### Constructor

# WebKit Settings new

#### Declaration [src]

    WebKitSettings*
    webkit_settings_new (
      void
    )

#### Description [src]

Creates a new `WebKitSettings` instance with default values.

It must be manually attached to a `WebKitWebView`. See also webkit_settings_new_with_settings().

#### Return value

Type: `WebKitSettings`

A new `WebKitSettings` instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.